package com.ssj.service.conch.common.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;

/**
 * @author yangcan
 * 类描述:非实时通讯-发送消息
 * 创建时间:2019年1月15日 下午6:58:20

 */
public class OnlineSendMessageRequest extends BaseRequest {
	
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(name = "receiveUserId", value = "接收用户Id", required = true)
    private String receiveUserId;

	@ApiModelProperty(name = "type", value = "发送类型：TEXT(文字)，PICTURE(图片)，VOICE(语音)", required = true)
    private String type;
	
	@ApiModelProperty(name = "content", value = "文字", required = false)
	private String content;
	
	@ApiModelProperty(name = "fileKey", value = "语音,图片资源路径", required = false)
	private String fileKey;
	
	@ApiModelProperty(name = "duration", value = "时长(类型为VOICE必传)", required = false)
	private String duration;

	public String getReceiveUserId() {
		return receiveUserId;
	}

	public void setReceiveUserId(String receiveUserId) {
		this.receiveUserId = receiveUserId;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public String getContent() {
		return content;
	}

	public void setContent(String content) {
		this.content = content;
	}

	public String getFileKey() {
		return fileKey;
	}

	public void setFileKey(String fileKey) {
		this.fileKey = fileKey;
	}

	public String getDuration() {
		return duration;
	}

	public void setDuration(String duration) {
		this.duration = duration;
	}
}
